> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List App User Credentials

> List credentials associated with a specific app user account.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/app_users/{app_user_id}/credentials
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/app_users/{app_user_id}/credentials:
    get:
      tags:
        - AppUsers
      summary: List App User Credentials
      description: List credentials associated with a specific app user account.
      operationId: c1.api.app.v1.AppUserService.ListAppUserCredentials
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that the user belongs to.
            type: string
        - in: path
          name: app_user_id
          required: true
          schema:
            description: The ID of the app user whose credentials to list.
            type: string
        - in: query
          name: page_size
          schema:
            description: The maximum number of results to return per page.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The token for fetching the next page of results.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.AppUserServiceListCredentialsResponse
          description: The response message for listing credentials of an app user.
      x-codeSamples:
        - lang: go
          label: ListAppUserCredentials
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppUser.ListAppUserCredentials(ctx, operations.C1APIAppV1AppUserServiceListAppUserCredentialsRequest{\n        AppID: \"<id>\",\n        AppUserID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AppUserServiceListCredentialsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appUser.listAppUserCredentials({
                appId: "<id>",
                appUserId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.AppUserServiceListCredentialsResponse:
      description: The response message for listing credentials of an app user.
      properties:
        list:
          description: The list of credential results.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppUserCredential'
          type:
            - array
            - 'null'
        nextPageToken:
          description: The token for fetching the next page of results.
          type:
            - string
            - 'null'
      title: App User Service List Credentials Response
      type: object
      x-speakeasy-name-override: AppUserServiceListCredentialsResponse
    c1.api.app.v1.AppUserCredential:
      description: >
        A credentials for the Application User that represents an account in the
        application.


        This message contains a oneof named credential. Only a single field of
        the following list may be set at a time:
          - encryptedData
      properties:
        appId:
          description: The ID of the application.
          readOnly: true
          type:
            - string
            - 'null'
        appUserId:
          description: A unique identifier of the application user.
          readOnly: true
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        encryptedData:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.EncryptedData'
            - type: 'null'
        expiresAt:
          format: date-time
          type:
            - string
            - 'null'
        id:
          description: A unique identifier of the credential.
          readOnly: true
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: App User Credential
      type: object
      x-speakeasy-name-override: AppUserCredential
    c1.api.app.v1.EncryptedData:
      description: EncryptedData is a message that contains encrypted bytes and metadata.
      properties:
        description:
          description: The human-readable description of the encrypted data.
          readOnly: true
          type:
            - string
            - 'null'
        encryptedBytes:
          description: The encrypted bytes.
          format: base64
          readOnly: true
          type:
            - string
            - 'null'
        keyId:
          description: The key ID used to encrypt the data.
          readOnly: true
          type:
            - string
            - 'null'
        name:
          description: The human-readable name of the encrypted data.
          readOnly: true
          type:
            - string
            - 'null'
        provider:
          description: The encryption provider used to encrypt the data.
          readOnly: true
          type:
            - string
            - 'null'
        schema:
          description: The (optional) JSON schema of the encrypted data.
          readOnly: true
          type:
            - string
            - 'null'
      title: Encrypted Data
      type: object
      x-speakeasy-name-override: EncryptedData
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````